> ## Documentation Index
> Fetch the complete documentation index at: https://plotweaver.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audio Streams

> **List Voice Streams Performed by the User**



## OpenAPI

````yaml /api-reference/openapi.json get /v1/voices/streams
openapi: 3.1.0
info:
  title: Plotweaver AI Voice API
  version: 0.1.0
servers:
  - url: https://voice.plotweaver.app
    description: Staging Server
security: []
paths:
  /v1/voices/streams:
    get:
      tags:
        - Voice
      summary: List Audio Streams
      description: '**List Voice Streams Performed by the User**'
      operationId: list_audio_streams_v1_voices_streams_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/VoiceModel'
                type: array
                title: Response List Audio Streams V1 Voices Streams Get
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    VoiceModel:
      properties:
        file:
          type: string
          title: File
          description: A Public accessible URI or path string pointing to the audio file.
          examples:
            - >-
              https://dpodkdhb03iee.cloudfront.net/TESTS/396a2b55-0fa6-4fed-a5fd-25381219c4ec_harvard.wav
        source_language:
          $ref: '#/components/schemas/Language'
          description: The starting language (case-sensitive to your Enum)
          examples:
            - English
        target_language:
          $ref: '#/components/schemas/Language'
          description: A String of valid Language enum values
          examples:
            - English
            - Hindu
            - Chinese
        id:
          type: string
          format: uuid
          title: Id
        localized_file:
          anyOf:
            - type: string
            - type: 'null'
          title: Localized File
        task_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Status
        task_progress:
          anyOf:
            - type: number
            - type: 'null'
          title: Task Progress
        date_created:
          type: string
          format: date-time
          title: Date Created
        date_updated:
          type: string
          format: date-time
          title: Date Updated
      type: object
      required:
        - file
        - source_language
        - target_language
        - id
        - localized_file
        - task_status
        - task_progress
        - date_created
        - date_updated
      title: VoiceModel
    Language:
      type: string
      enum:
        - French
        - English
        - Amharic
        - Swahili
        - Chinese
        - Japanese
        - Korean
        - German
        - Russian
        - Portuguese
        - Spanish
        - Italian
        - Arabic
        - Dutch
        - Hindi
        - Urdu
      title: Language
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: API-KEY
    HTTPBearer:
      type: http
      scheme: bearer

````